Join us on May 20th for the Content + AI Virtual Summit. Register now
curl -i -X GET "https://api.box.com/2.0/file_version_retentions/3424234" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"id": "11446498",
"type": "file_version_retention",
"file_version": {
"id": "12345",
"type": "file_version",
"sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
},
"file": {
"id": "12345",
"type": "file",
"etag": "1",
"sequence_id": "3",
"name": "Contract.pdf",
"sha1": "85136C79CBF9FE36BB9D05D0639C70C265C18D37",
"file_version": {
"id": "12345",
"type": "file_version",
"sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
}
},
"applied_at": "2012-12-12T10:53:43-08:00",
"disposition_at": "2012-12-12T10:53:43-08:00",
"winning_retention_policy": {
"id": "12345",
"type": "retention_policy",
"policy_name": "Some Policy Name",
"retention_length": "365",
"disposition_action": "permanently_delete",
"max_extension_length": "365"
}
}Returns information about a file version retention.
Note: File retention API is now deprecated. To get information about files and file versions under retention, see files under retention or file versions under retention endpoints.
curl -i -X GET "https://api.box.com/2.0/file_version_retentions/3424234" \
-H "authorization: Bearer <ACCESS_TOKEN>"{
"id": "11446498",
"type": "file_version_retention",
"file_version": {
"id": "12345",
"type": "file_version",
"sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
},
"file": {
"id": "12345",
"type": "file",
"etag": "1",
"sequence_id": "3",
"name": "Contract.pdf",
"sha1": "85136C79CBF9FE36BB9D05D0639C70C265C18D37",
"file_version": {
"id": "12345",
"type": "file_version",
"sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
}
},
"applied_at": "2012-12-12T10:53:43-08:00",
"disposition_at": "2012-12-12T10:53:43-08:00",
"winning_retention_policy": {
"id": "12345",
"type": "retention_policy",
"policy_name": "Some Policy Name",
"retention_length": "365",
"disposition_action": "permanently_delete",
"max_extension_length": "365"
}
}Documentation Index
Fetch the complete documentation index at: https://developer.box.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The ID of the file version retention.
Returns a file version retention object.
A retention policy blocks permanent deletion of content for a specified amount of time. Admins can apply policies to specified folders, or an entire enterprise. A file version retention is a record for a retained file version. To use this feature, you must have the manage retention policies scope enabled for your API key in your application management console.
Note: File retention API is now deprecated. To get information about files and file versions under retention, see files under retention or file versions under retention endpoints.
The unique identifier for this file version retention.
"11446498"
The value will always be file_version_retention.
file_version_retention "file_version_retention"
The file version this file version retention was applied to.
Show child attributes
The file this file version retention was applied to.
Show child attributes
When this file version retention object was created.
"2012-12-12T10:53:43-08:00"
When the retention expires on this file version retention.
"2012-12-12T10:53:43-08:00"
The winning retention policy applied to this file version retention. A file version can have multiple retention policies applied.
Show child attributes
Was this page helpful?